## golang-github-valyala-gozstd 1.9.0+ds

=== Makefile ===
GOOS ?= $(shell go env GOOS)
GOARCH ?= $(shell go env GOARCH)
GOOS_GOARCH := $(GOOS)_$(GOARCH)
GOOS_GOARCH_NATIVE := $(shell go env GOHOSTOS)_$(shell go env GOHOSTARCH)
LIBZSTD_NAME := libzstd_$(GOOS_GOARCH).a
ZSTD_VERSION ?= master

.PHONY: libzstd.a

libzstd.a: $(LIBZSTD_NAME)

$(LIBZSTD_NAME):
ifeq ($(GOOS_GOARCH),$(GOOS_GOARCH_NATIVE))
	cd zstd/lib && ZSTD_LEGACY_SUPPORT=0 MOREFLAGS=$(MOREFLAGS) $(MAKE) clean libzstd.a
	mv zstd/lib/libzstd.a $(LIBZSTD_NAME)
else
ifeq ($(GOOS_GOARCH),linux_arm)
	cd zstd/lib && CC=arm-linux-gnueabi-gcc ZSTD_LEGACY_SUPPORT=0 MOREFLAGS=$(MOREFLAGS) $(MAKE) clean libzstd.a
	mv zstd/lib/libzstd.a libzstd_linux_arm.a
endif
ifeq ($(GOOS_GOARCH),linux_arm64)
	cd zstd/lib && CC=aarch64-linux-gnu-gcc ZSTD_LEGACY_SUPPORT=0 MOREFLAGS=$(MOREFLAGS) $(MAKE) clean libzstd.a
	mv zstd/lib/libzstd.a libzstd_linux_arm64.a
endif
endif

clean:
	rm -f $(LIBZSTD_NAME)
	cd zstd && $(MAKE) clean

update-zstd:
	rm -rf zstd-tmp
	git clone --branch $(ZSTD_VERSION) --depth 1 https://github.com/Facebook/zstd zstd-tmp
	rm -rf zstd-tmp/.git
	rm -rf zstd
	mv zstd-tmp zstd
	$(MAKE) clean libzstd.a
	cp zstd/lib/zstd.h .
	cp zstd/lib/dictBuilder/zdict.h .
	cp zstd/lib/common/zstd_errors.h .

test:
	CGO_ENABLED=1 GODEBUG=cgocheck=2 go test -v

bench:
	CGO_ENABLED=1 go test -bench=.

=== debian/changelog ===
golang-github-valyala-gozstd (1.9.0+ds-7) unstable; urgency=medium

  * Ignore test suite errors on ARM CPUs due to weakly setup hardware

 -- Guillem Jover <gjover@sipwise.com>  Tue, 26 Jan 2021 19:57:13 +0100

golang-github-valyala-gozstd (1.9.0+ds-6) unstable; urgency=medium

  * Fix debian/watch file syntax
  * Skip memory heavy unit test on ARM systems instead of trying reduce it

 -- Guillem Jover <gjover@sipwise.com>  Mon, 25 Jan 2021 18:48:53 +0100

golang-github-valyala-gozstd (1.9.0+ds-5) unstable; urgency=medium

  * Add missing patch metadata.
  * Redeuce test memory usage so that autopkgtest pass. On 32-bit systems
    with not enough RAM, the test suite might consume all memory.
  * Update copyright years

 -- Guillem Jover <gjover@sipwise.com>  Wed, 20 Jan 2021 17:02:38 +0100

golang-github-valyala-gozstd (1.9.0+ds-4) unstable; urgency=medium

  * Fix memory leaks in test case causing memory exhaustion on 32-bit systems,
    and revert --no-parallel override.

 -- Guillem Jover <gjover@sipwise.com>  Wed, 13 Jan 2021 22:29:54 +0100

golang-github-valyala-gozstd (1.9.0+ds-3) unstable; urgency=medium

  * Disable parallel execution for dh_auto_test, which triggers allocation
    errors due to memory limits on 32-bit architectures in autopkgtests.

 -- Guillem Jover <gjover@sipwise.com>  Wed, 13 Jan 2021 00:59:02 +0100

golang-github-valyala-gozstd (1.9.0+ds-2) unstable; urgency=medium

  * Mark package as Multi-Arch:foreign.

 -- Guillem Jover <gjover@sipwise.com>  Wed, 06 Jan 2021 01:09:29 +0100

golang-github-valyala-gozstd (1.9.0+ds-1) unstable; urgency=medium

  * New upstream release.
    - Unvendor zdict.h too.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 21 Dec 2020 04:27:12 +0100

golang-github-valyala-gozstd (1.8.3+ds-1) unstable; urgency=medium

  * Initial release (Closes: #953661)

 -- Guillem Jover <gjover@sipwise.com>  Sat, 12 Dec 2020 02:11:28 +0100

=== debian/control ===
Source: golang-github-valyala-gozstd
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Guillem Jover <gjover@sipwise.com>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 libzstd-dev,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-valyala-gozstd
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-valyala-gozstd.git
Homepage: https://github.com/valyala/gozstd
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/valyala/gozstd

Package: golang-github-valyala-gozstd-dev
Architecture: all
Multi-Arch: foreign
Depends:
 libzstd-dev,
 ${misc:Depends},
Description: go wrapper for zstd (library)
 This package provides Go bindings for the libzstd C library.
 .
 Features:
  * Simple API.
  * Optimized for speed. The API may be easily used in zero allocations mode.
  * Compress* and Decompress* functions are optimized for high concurrency.
  * Proper Writer.Flush for network apps.
  * Supports the following features from upstream zstd:
    - Block / stream compression / decompression with all the supported
      compression levels and with dictionary support.
    - Dictionary building from a sample set. The created dictionary may be
      saved to persistent storage / transferred over the network.
    - Dictionary loading for compression / decompression.
 .
 There is also StreamCompress and Writer for stream compression and
 StreamDecompress and Reader for stream decompression.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

ifeq ($(DEB_HOST_ARCH_CPU),arm)
override_dh_auto_test:
	# Ignore errors due to out of memory panics.
	-dh_auto_test
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-valyala-gozstd-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/, \
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/valyala/gozstd/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-valyala-gozstd 1.14.2+ds

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,9 @@
 GOOS_GOARCH := $(GOOS)_$(GOARCH)
 GOOS_GOARCH_NATIVE := $(shell go env GOHOSTOS)_$(shell go env GOHOSTARCH)
 LIBZSTD_NAME := libzstd_$(GOOS_GOARCH).a
-ZSTD_VERSION ?= master
+ZSTD_VERSION ?= v1.5.0
+MUSL_BUILDER_IMAGE=golang:1.17.1-alpine
+BUILDER_IMAGE := local/builder_musl:2.0.0-$(shell echo $(MUSL_BUILDER_IMAGE) | tr : _)
 
 .PHONY: libzstd.a
 
@@ -22,7 +24,27 @@
 	cd zstd/lib && CC=aarch64-linux-gnu-gcc ZSTD_LEGACY_SUPPORT=0 MOREFLAGS=$(MOREFLAGS) $(MAKE) clean libzstd.a
 	mv zstd/lib/libzstd.a libzstd_linux_arm64.a
 endif
+ifeq ($(GOOS_GOARCH),linux_musl_amd64)
+	cd zstd/lib && ZSTD_LEGACY_SUPPORT=0 MOREFLAGS=$(MOREFLAGS) $(MAKE) clean libzstd.a
+	mv zstd/lib/libzstd.a libzstd_linux_musl_amd64.a
 endif
+endif
+
+package-builder:
+	(docker image ls --format '{{.Repository}}:{{.Tag}}' | grep -q '$(BUILDER_IMAGE)$$') \
+		|| docker build \
+			--build-arg builder_image=$(MUSL_BUILDER_IMAGE) \
+			--tag $(BUILDER_IMAGE) \
+			builder
+
+package-musl: package-builder
+	docker run --rm \
+		--user $(shell id -u):$(shell id -g) \
+		--mount type=bind,src="$(shell pwd)",dst=/zstd \
+		-w /zstd \
+		$(DOCKER_OPTS) \
+		$(BUILDER_IMAGE) \
+		sh -c "GOOS=linux_musl make clean libzstd.a"
 
 clean:
 	rm -f $(LIBZSTD_NAME)
@@ -36,8 +58,8 @@
 	mv zstd-tmp zstd
 	$(MAKE) clean libzstd.a
 	cp zstd/lib/zstd.h .
-	cp zstd/lib/dictBuilder/zdict.h .
-	cp zstd/lib/common/zstd_errors.h .
+	cp zstd/lib/zdict.h .
+	cp zstd/lib/zstd_errors.h .
 
 test:
 	CGO_ENABLED=1 GODEBUG=cgocheck=2 go test -v

=== debian/changelog ===
golang-github-valyala-gozstd (1.14.2+ds-1) unstable; urgency=medium

  * New upstream release.
    - Remove patch merged upstream.
  * Use dh-sequence-golang instead of dh-golang and --with=golang.
  * Bump Standards-Version to 4.6.0 (no changes needed).

 -- Guillem Jover <gjover@sipwise.com>  Thu, 11 Nov 2021 15:05:57 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-golang,
+ dh-sequence-golang,
  golang-any,
  libzstd-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-valyala-gozstd
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-valyala-gozstd.git
 Homepage: https://github.com/valyala/gozstd

## golang-github-valyala-gozstd 1.16.0+ds1

=== Makefile ===
--- 
+++ 
@@ -3,14 +3,13 @@
 GOOS_GOARCH := $(GOOS)_$(GOARCH)
 GOOS_GOARCH_NATIVE := $(shell go env GOHOSTOS)_$(shell go env GOHOSTARCH)
 LIBZSTD_NAME := libzstd_$(GOOS_GOARCH).a
-ZSTD_VERSION ?= v1.5.0
-MUSL_BUILDER_IMAGE=golang:1.17.1-alpine
-BUILDER_IMAGE := local/builder_musl:2.0.0-$(shell echo $(MUSL_BUILDER_IMAGE) | tr : _)
+ZSTD_VERSION ?= v1.5.1
+MUSL_BUILDER_IMAGE=golang:1.17.6-alpine
+BUILDER_IMAGE := local/builder_musl:2.0.0-$(shell echo $(MUSL_BUILDER_IMAGE) | tr : _)-1
 
-.PHONY: libzstd.a
+.PHONY: libzstd.a $(LIBZSTD_NAME)
 
 libzstd.a: $(LIBZSTD_NAME)
-
 $(LIBZSTD_NAME):
 ifeq ($(GOOS_GOARCH),$(GOOS_GOARCH_NATIVE))
 	cd zstd/lib && ZSTD_LEGACY_SUPPORT=0 MOREFLAGS=$(MOREFLAGS) $(MAKE) clean libzstd.a
@@ -27,6 +26,10 @@
 ifeq ($(GOOS_GOARCH),linux_musl_amd64)
 	cd zstd/lib && ZSTD_LEGACY_SUPPORT=0 MOREFLAGS=$(MOREFLAGS) $(MAKE) clean libzstd.a
 	mv zstd/lib/libzstd.a libzstd_linux_musl_amd64.a
+endif
+ifeq ($(GOOS_GOARCH),linux_musl_arm64)
+	cd zstd/lib && ZSTD_LEGACY_SUPPORT=0 MOREFLAGS=$(MOREFLAGS) $(MAKE) clean libzstd.a
+	mv zstd/lib/libzstd.a libzstd_linux_musl_arm64.a
 endif
 endif
 
@@ -45,6 +48,15 @@
 		$(DOCKER_OPTS) \
 		$(BUILDER_IMAGE) \
 		sh -c "GOOS=linux_musl make clean libzstd.a"
+	docker run --rm \
+		--user $(shell id -u):$(shell id -g) \
+		--mount type=bind,src="$(shell pwd)",dst=/zstd \
+		--env CC=/opt/cross-builder/aarch64-linux-musl-cross/bin/aarch64-linux-musl-gcc \
+		-w /zstd \
+		$(DOCKER_OPTS) \
+		$(BUILDER_IMAGE) \
+		sh -c "GOARCH=arm64 GOOS=linux_musl make clean libzstd.a"
+
 
 clean:
 	rm -f $(LIBZSTD_NAME)

=== debian/changelog ===
golang-github-valyala-gozstd (1.16.0+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch file.
  * Reorganize control fields.

 -- Guillem Jover <gjover@sipwise.com>  Sat, 12 Mar 2022 00:54:25 +0100

## golang-github-valyala-gozstd 1.17.0+ds1

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 GOOS_GOARCH := $(GOOS)_$(GOARCH)
 GOOS_GOARCH_NATIVE := $(shell go env GOHOSTOS)_$(shell go env GOHOSTARCH)
 LIBZSTD_NAME := libzstd_$(GOOS_GOARCH).a
-ZSTD_VERSION ?= v1.5.1
-MUSL_BUILDER_IMAGE=golang:1.17.6-alpine
+ZSTD_VERSION ?= v1.5.2
+MUSL_BUILDER_IMAGE=golang:1.8.1-alpine
 BUILDER_IMAGE := local/builder_musl:2.0.0-$(shell echo $(MUSL_BUILDER_IMAGE) | tr : _)-1
 
 .PHONY: libzstd.a $(LIBZSTD_NAME)

=== debian/changelog ===
golang-github-valyala-gozstd (1.17.0+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Fri, 17 Jun 2022 18:21:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: golang-github-valyala-gozstd
+Section: golang
+Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Guillem Jover <gjover@sipwise.com>,
-Section: golang
-Testsuite: autopkgtest-pkg-go
-Priority: optional
+Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
  golang-any,
  libzstd-dev,
+Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-valyala-gozstd
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-valyala-gozstd.git
 Homepage: https://github.com/valyala/gozstd
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/valyala/gozstd
 
 Package: golang-github-valyala-gozstd-dev

## golang-github-valyala-gozstd 1.20.1+ds1

=== Makefile ===
GOOS ?= $(shell go env GOOS)
GOARCH ?= $(shell go env GOARCH)
GOOS_GOARCH := $(GOOS)_$(GOARCH)
GOOS_GOARCH_NATIVE := $(shell go env GOHOSTOS)_$(shell go env GOHOSTARCH)
LIBZSTD_NAME := libzstd_$(GOOS_GOARCH).a
ZSTD_VERSION ?= v1.5.5
ZIG_BUILDER_IMAGE=euantorano/zig:0.10.1
BUILDER_IMAGE := local/builder_musl:2.0.0-$(shell echo $(ZIG_BUILDER_IMAGE) | tr : _ | tr / _)-1

.PHONY: libzstd.a $(LIBZSTD_NAME)

libzstd.a: $(LIBZSTD_NAME)
$(LIBZSTD_NAME):
ifeq ($(GOOS_GOARCH),$(GOOS_GOARCH_NATIVE))
	rm -f $(LIBZSTD_NAME)
	cd zstd/lib && ZSTD_LEGACY_SUPPORT=0 MOREFLAGS=$(MOREFLAGS) $(MAKE) clean libzstd.a
	mv zstd/lib/libzstd.a $(LIBZSTD_NAME)
else ifeq ($(GOOS_GOARCH),linux_amd64)
	TARGET=x86_64-linux GOARCH=amd64 GOOS=linux $(MAKE) package-arch
else ifeq ($(GOOS_GOARCH),linux_arm)
	TARGET=arm-linux-gnueabi GOARCH=arm GOOS=linux $(MAKE) package-arch
else ifeq ($(GOOS_GOARCH),linux_arm64)
	TARGET=aarch64-linux GOARCH=arm64 GOOS=linux $(MAKE) package-arch
else ifeq ($(GOOS_GOARCH),linux_musl_amd64)
	TARGET=x86_64-linux-musl GOARCH=amd64 GOOS=linux_musl $(MAKE) package-arch
else ifeq ($(GOOS_GOARCH),linux_musl_arm64)
	TARGET=aarch64-linux-musl GOARCH=arm64 GOOS=linux_musl $(MAKE) package-arch
else ifeq ($(GOOS_GOARCH),darwin_arm64)
	TARGET=aarch64-macos GOARCH=arm64 GOOS=darwin $(MAKE) package-arch
else ifeq ($(GOOS_GOARCH),darwin_amd64)
	TARGET=x86_64-macos GOARCH=amd64 GOOS=darwin $(MAKE) package-arch
else ifeq ($(GOOS_GOARCH),windows_amd64)
	TARGET=x86_64-windows GOARCH=amd64 GOOS=windows GOARCH=amd64 $(MAKE) package-arch
endif

package-builder:
	(docker image ls --format '{{.Repository}}:{{.Tag}}' | grep -q '$(BUILDER_IMAGE)$$') \
		|| docker build \
			--build-arg builder_image=$(ZIG_BUILDER_IMAGE) \
			--tag $(BUILDER_IMAGE) \
			builder

package-arch: package-builder
	rm -f $(LIBZSTD_NAME)
	docker run --rm \
		--mount type=bind,src="$(shell pwd)",dst=/zstd \
		-w /zstd \
		$(DOCKER_OPTS) \
		$(BUILDER_IMAGE) \
		-c 'cd zstd/lib && \
			ZSTD_LEGACY_SUPPORT=0 AR="zig ar" \
			CC="zig cc -target $(TARGET)" \
			CXX="zig cc -target $(TARGET)" \
			MOREFLAGS=$(MOREFLAGS) \
			$(MAKE) clean libzstd.a'
	mv -f zstd/lib/libzstd.a $(LIBZSTD_NAME)

# freebsd and illumos aren't supported by zig compiler atm.
release:
	GOOS=linux GOARCH=amd64 $(MAKE) libzstd.a
	GOOS=linux GOARCH=arm64 $(MAKE) libzstd.a
	GOOS=linux GOARCH=arm $(MAKE) libzstd.a
	GOOS=linux_musl GOARCH=amd64 $(MAKE) libzstd.a
	GOOS=linux_musl GOARCH=arm64 $(MAKE) libzstd.a
	GOOS=darwin GOARCH=arm64 $(MAKE) libzstd.a
	GOOS=darwin GOARCH=amd64 $(MAKE) libzstd.a
	GOOS=windows GOARCH=amd64 $(MAKE) libzstd.a

clean:
	rm -f $(LIBZSTD_NAME)
	cd zstd && $(MAKE) clean

update-zstd:
	rm -rf zstd-tmp
	git clone --branch $(ZSTD_VERSION) --depth 1 https://github.com/Facebook/zstd zstd-tmp
	rm -rf zstd-tmp/.git
	rm -rf zstd
	mv zstd-tmp zstd
	$(MAKE) clean libzstd.a
	cp zstd/lib/zstd.h .
	cp zstd/lib/zdict.h .
	cp zstd/lib/zstd_errors.h .

test:
	CGO_ENABLED=1 GODEBUG=cgocheck=2 go test -v

bench:
	CGO_ENABLED=1 go test -bench=.

=== debian/changelog ===
golang-github-valyala-gozstd (1.20.1+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2 (no changes needed).
  * Update copyright years.

 -- Guillem Jover <gjover@sipwise.com>  Thu, 10 Aug 2023 12:43:48 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  golang-any,
  libzstd-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-valyala-gozstd
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-valyala-gozstd.git
 Homepage: https://github.com/valyala/gozstd

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/valyala/gozstd/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-valyala-gozstd 1.21.1+ds1

=== debian/changelog ===
golang-github-valyala-gozstd (1.21.1+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update copyright years.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 26 Aug 2024 18:43:55 +0200

## golang-github-valyala-gozstd 1.21.2%2Bds1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 GOOS_GOARCH := $(GOOS)_$(GOARCH)
 GOOS_GOARCH_NATIVE := $(shell go env GOHOSTOS)_$(shell go env GOHOSTARCH)
 LIBZSTD_NAME := libzstd_$(GOOS_GOARCH).a
-ZSTD_VERSION ?= v1.5.5
+ZSTD_VERSION ?= v1.5.6
 ZIG_BUILDER_IMAGE=euantorano/zig:0.10.1
 BUILDER_IMAGE := local/builder_musl:2.0.0-$(shell echo $(ZIG_BUILDER_IMAGE) | tr : _ | tr / _)-1
 
@@ -82,7 +82,7 @@
 	cp zstd/lib/zstd_errors.h .
 
 test:
-	CGO_ENABLED=1 GODEBUG=cgocheck=2 go test -v
+	CGO_ENABLED=1 GOEXPERIMENT=cgocheck2 go test -v
 
 bench:
 	CGO_ENABLED=1 go test -bench=.

## golang-github-valyala-gozstd 1.21.2+ds1

=== debian/changelog ===
golang-github-valyala-gozstd (1.21.2+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years.

 -- Guillem Jover <gjover@sipwise.com>  Sat, 01 Feb 2025 00:02:46 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  golang-any,
  libzstd-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-valyala-gozstd
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-valyala-gozstd.git
 Homepage: https://github.com/valyala/gozstd

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang

ifeq ($(DEB_HOST_ARCH_CPU),arm)
override_dh_auto_test:
	# Ignore errors due to out of memory panics.
	-dh_auto_test
endif
